Template:Portal pictures/style.css: Difference between revisions

Add
 
Add
 
Line 1: Line 1:
/* {{pp-template}} */
/* Hide the toggle gallery button */
/* Hide the toggle gallery button */
div.portalSlideshow-container > ul.gallery.mw-gallery-slideshow > li.gallerycarousel > div > div > div > span:nth-child(2)  {
div.excerptSlideshow-container > ul.gallery.mw-gallery-slideshow > li.gallerycarousel > div > div > div > span:nth-child(2)  {
display: none;
}
 
/* Hide the blank placeholder image */
div.excerptSlideshow-container > ul.gallery.mw-gallery-slideshow > li.gallerycarousel > div > div:nth-child(2)  {
display: none;
display: none;
}
}


/* Reduce spacing around buttons */
/* Reduce spacing around buttons */
div.excerptSlideshow-container > ul.gallery.mw-gallery-slideshow > li.gallerycarousel > div > div:nth-child(1)  {
div.portalSlideshow-container > ul.gallery.mw-gallery-slideshow > li.gallerycarousel > div > div:nth-child(1)  {
padding-top: 0.3em;
padding-top: 0.3em;
padding-bottom: 0;
padding-bottom: 0;
Line 18: Line 12:
/* --- Rules for when gallerycarousel isn't present (i.e. mobile website) --- */
/* --- Rules for when gallerycarousel isn't present (i.e. mobile website) --- */
/* only show the first item (if on desktop site, this is just the gallerycarousel) */
/* only show the first item (if on desktop site, this is just the gallerycarousel) */
div.excerptSlideshow-container > ul.gallery.mw-gallery-slideshow > li:nth-child(n+2) {
div.portalSlideshow-container > ul.gallery.mw-gallery-slideshow > li:nth-child(n+2) {
display: none;
display: none;
}
}


/* use the full available width */
/* use the full available width */
div.excerptSlideshow-container .gallery .gallerybox,
div.portalSlideshow-container .gallery .gallerybox,
div.excerptSlideshow-container .gallery .gallerybox div {
div.portalSlideshow-container .gallery .gallerybox div {
width:100% !important; /* overrides inline style */
width:100% !important; /* overrides inline style */
max-width:100%;
max-width:100%;
}
}


/* Hide the blank placeholder image */
/* Hide only the blank placeholder image */
div.excerptSlideshow-container > ul.gallery.mw-gallery-slideshow > li:not(.gallerycarousel) > div > div:nth-child(1) {
.mw-gallery-slideshow-img-container > a[href="/wiki/File:Blank.png"] {
display: none;
display: none;
}
/* fixes for default slideshow CSS */
.gallerytext {
font-size: 100% !important;
text-align: left;
}
}

Latest revision as of 22:57, 12 May 2026

/* Hide the toggle gallery button */	
div.portalSlideshow-container > ul.gallery.mw-gallery-slideshow > li.gallerycarousel > div > div > div > span:nth-child(2)  {
	display: none;
}

/* Reduce spacing around buttons */
div.portalSlideshow-container > ul.gallery.mw-gallery-slideshow > li.gallerycarousel > div > div:nth-child(1)  {
	padding-top: 0.3em;
	padding-bottom: 0;
}

/* --- Rules for when gallerycarousel isn't present (i.e. mobile website) --- */
/* only show the first item (if on desktop site, this is just the gallerycarousel) */
div.portalSlideshow-container > ul.gallery.mw-gallery-slideshow > li:nth-child(n+2) {
	display: none;
}

/* use the full available width */
div.portalSlideshow-container .gallery .gallerybox,
div.portalSlideshow-container .gallery .gallerybox div {
	width:100% !important; /* overrides inline style */
	max-width:100%;
}

/* Hide only the blank placeholder image */
.mw-gallery-slideshow-img-container > a[href="/wiki/File:Blank.png"] {
	display: none;
}

/* fixes for default slideshow CSS */
.gallerytext {
	font-size: 100% !important;
	text-align: left;
}